Skip to main content
GET
/
v1
/
webhooks
List webhooks
curl --request GET \
  --url https://api.folk.app/v1/webhooks \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "items": [
      {
        "id": "wbk_8c18c158-d49e-4ad4-90d4-2b197688bac7",
        "name": "My app integration",
        "targetUrl": "https://my-app.com/webhook",
        "subscribedEvents": [
          {
            "eventType": "person.created",
            "filter": {}
          }
        ],
        "redactedSigningSecret": "whs_fx**********************oVMa",
        "status": "active",
        "createdAt": "2025-07-17T09:00:00.000Z"
      }
    ],
    "pagination": {
      "nextLink": "https://api.folk.app/v1/webhooks?limit=20&cursor=eyJvZmZzZXQiOjIwfQ%3D%3D"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.folk.app/llms.txt

Use this file to discover all available pages before exploring further.

List all webhooks in the workspace. To learn more about webhooks, how to set them up and receive notifications, check out the webhooks guide.

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

limit
integer
default:20

The number of items to return.

Required range: 1 <= x <= 100
cursor
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the pagination.nextLink value returned in a previous response to request subsequent results.

Maximum string length: 128

Response

A paginated list of webhooks in the workspace.

data
object
required
Example:
{
"items": [
{
"id": "wbk_8c18c158-d49e-4ad4-90d4-2b197688bac7",
"name": "My app integration",
"targetUrl": "https://my-app.com/webhook",
"subscribedEvents": [
{
"eventType": "person.created",
"filter": {}
}
],
"redactedSigningSecret": "whs_fx**********************oVMa",
"status": "active",
"createdAt": "2025-07-17T09:00:00.000Z"
}
],
"pagination": {
"nextLink": "https://api.folk.app/v1/webhooks?limit=20&cursor=eyJvZmZzZXQiOjIwfQ%3D%3D"
}
}
deprecations
string[]
Example:
["This field is deprecated"]